﻿using System;
using ThinkGeo.MapSuite.WebEdition;

namespace Post8533
{
    public class CustomMap : Map
    {
        public CustomMap()
            : this("Map1", 800, 600)
        {
        }

        public CustomMap(string id)
            : this(id, 800, 600)
        {
        }

        public CustomMap(string id, int width, int height)
            : base(id, width, height)
        {
            this.WritableClientId = base.ClientID;
        }

        public string WritableClientId;
        public override string ClientID
        {
            get
            {
                return WritableClientId;
            }
        }
    }
}